Skip to main content

Get request from last run's default request queue

GET 

/v2/actors/:actorId/runs/last/request-queue/requests/:requestId

Returns a request from the default request queue of the last Actor run.

This endpoint is a shortcut for getting the last run's defaultRequestQueueId and then using the Get request endpoint.

Request

Path Parameters

    actorId string required

    Actor ID or the username of the Actor owner and the Actor name, separated by a tilde (~).


    Example: compass~google-maps-extractor
    requestId string required

    Request ID.


    Example: xpsmkDlspokDSmklS

Query Parameters

    status string

    Filter for the run status.


    Example: SUCCEEDED
    origin RunOrigin

    Possible values: [DEVELOPMENT, WEB, API, SCHEDULER, TEST, WEBHOOK, ACTOR, CLI, CI, STANDBY, MCP]

    Filter for the run origin, i.e. the means by which the run was started.

Status 200

Response Headers
    {
    "data": {
    "uniqueKey": "GET|60d83e70|e3b0c442|https://apify.com",
    "url": "https://apify.com",
    "method": "GET",
    "retryCount": 0,
    "loadedUrl": "https://apify.com/jobs",
    "payload": null,
    "headers": null,
    "userData": {
    "label": "DETAIL",
    "customField": "custom-value"
    },
    "noRetry": false,
    "errorMessages": null,
    "handledAt": "2019-06-16T10:23:31.607Z",
    "id": "sbJ7klsdf7ujN9l"
    }
    }